Subject: Re: bug#24848: [sh-script] How to save "Local rules set" result from sh-learn-buffer-indent?

From: <[email-masked]>
Date: Mon, 4 Sep 2017 08:30:10 +0000

Thanks Noam.  I'm not sure I've got any way to test this patch, though...  I don't seem to have an smie.el file anywhere.  I've installed the emacs24-el package expecting that to contain it but it doesn't -- at least, I've searched my entire hard drive for it (using sudo, just in case) and it wasn't found.

________________________________________
From: Noam Postavsky <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: 31 August 2017 00:49
To: Wiseman,R,Richard,TUK2 R
Cc: [email-masked]
Subject: Re: bug#24848: [sh-script] How to save "Local rules set" result from sh-learn-buffer-indent?

tags 24848 + patch
quit

<[email-masked]> writes:

> Anyway, to help get to the bottom of this, I disabled sh-indentation
> and tried your steps around editing smie-config and M-x normal-mode
> and I got the same result as you: it worked.
>
> So as you indicated, it appears to be that smie-config isn't being loaded (properly) when Emacs starts.
>
> I await your next inspiration! :-)

Okay, the patch below fixes the loading for me.  I also added a mention
of `smie-config-guess' in `sh-learn-buffer-indent's docstring so that it
should be possible to figure how to save config rules by reading
docstrings rather than hunting in the source code.